Bug 32221 - rhn_register fails with large swap space
rhn_register fails with large swap space
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-19 07:45 EST by Phil Venton
Modified: 2015-01-07 18:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 11:48:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Phil Venton 2001-03-19 07:45:56 EST
From a customer service request:

System running enterprise kernel with two 1.9 gig swap partitions,
rhn_register quits with the following:

----- [snip]

Traceback (innermost last):
 File "/usr/lib/python1.5/site-packages/libglade.py", line28, in __call__
  ret = apply(self.func, a)
 File "/usr/share/rhn/register/gui.py", line 448, in \
                    onProfilePagePrepare hardware.read_memory()
 File "/usr/share/rhn/register/hardware.py", line 172, in read_memory
  megs = string.atoi(memlist[1])/(1024*1024)
ValueError: atoi() literal too large: 4038557696

----- [snip]

The atoi literal there is the total ram+swap in bytes.  Seems this much ram
pushes it outside atoi's legal range.

Turning off one of the swap partitions solves the problem, but given that
the swap limit on the enterprise kernel is 8x2 gigs (if I remember
correctly!), we might want to look at this.
Comment 1 Adrian Likins 2001-03-19 14:07:28 EST
replaced the atoi with a atol, and cast approriately. Should work
up to about 300TB of swap now. Fixed in CVS.
Comment 2 Preston Brown 2001-04-12 16:53:46 EDT
fixed in errata, due out today.

Note You need to log in before you can comment on or make changes to this bug.